changes from 0.9:

-fixed autodrive for both Ped/Bodyguards and Player
-added the three playermodels in modelselection for bodyguards
-added 23 missing peds
-fixed never wanted to not flash stars
-fixed freeze wanted level
-Vehicle mod menu will now retrieve text for mods from the game
-fixed issue with nearest ped stuff picking up player (Michael), shouldn't happen anymore
-moved Gogo Blista to right category
-added menusound and disablemenuwrap 
-added car seat belt as well as bike seat belt, both are automatically enabled when cargodmode is enabled
-added scenarios for bodyguard/peds and player
-fixed siren when car god mode was enabled.
-leave engine running
-save settings function
-make current weapon invisible
-added ability to change some keybinds such as vehicle speedup/stop, vehicle rockets, next track,indicators
-added ability to change to default station using Num * key.
-ability to stop driving afer waypoint is reached
-Special God mode makes a return, second options page
-various other bug fixes

changes from 1.0:
-Added a few missing weapon attachments (Heavy Shotgun and Marksman Rifle)
-fixed bug with special godmode not setting health correctly at startup and fixed still being able to die
-added more animations, trainer now has a total of 21.881 animations.
-added keybinds for Clear Wanted Level, Spawn Attacking Driver/Ped, Teleport to Waypoint, Teleport to Marker, Car Alarm, Move trhough doors, and explode nearest car.
-added remove doors in Vehicle doors and windows menu.
-a bug becomes a feature, disable siren, yes people asked for it :)
-additional clothes load/save slots, for a total of 20 for Player and 20 for Bodyguards peds
-fixed some issues with clothes menu and clothes load/save 
-added Monkey Mosaics (thanks to doppelblind !) in other teleports
-added DLC vehicles and the PDW weapon
some features from IV trainer return:
-Warp to Saved Vehicle
-Cycle Through Passenger Seats
-Cruise control (to enable G+7, speedup W, speeddown S, stop space).
-Attach/Release Vehicle to Skylift (G+8)

Changes from 1.1:
-various bugfixes
-added Weapon finishes, these are additional components for the relevant weapons.
-added bullet proof tyres in vehicle mod menu, they are also saved when saving a car, please be aware that if Vehicle god mode is enabled, you'll get those regardless of how you saved the car.
-added no menu wrap and menu sound for num4/num6 navigation.
-added warning message when trying to change chrome wheel color.
-added stunt jumps in other teleports menu. Thanks to Flavaone for providing them to me.
-the ped task option has been removed from the main bodyguard menu, it is now located under ped taks menu.
various options from IV trainer return:
-added Vehicle Health Display
-added Set Vehicle Health
-added lock/unlock vehicle doors
-added silence alarm when stealing 
-added Vehicle Rotation 90 degrees
-added Destroy / Fix Vehicle Engine
-added walking styles (both for player and bodyguard/ped) currently about 69 styles are available but more research is needed as there bound to be more
-You can now fully customize the Vehicle God mode, on Vehicle options menu, the second option lets you enable or disable individual options that are part 
of Vehicle God mode. (this is similar to the special car god mode in IV trainer). Those option will also be saved when using save all settings. 
The last option (Auto Repair) basically overwrites most of the other options and will simply repair the car when damage occurs. 
Other than on IV, this should have a lesser effect on the ability to break windows and other stuff (thanks to arewenotmen for finding the native that allows this).
Also the first option (Prevent Vehicle Damage) will also overwrite some of the other options (the proofs options). 
Of course for any of this to work, Vehicle god mode needs to be enabled (first option on Vehicle options menu).

Changes from 1.2:
-added several teleports to interiors, mostly mission stuff (sunken cargo ship, two ufo's, plane and train crash and some other interiors).
-added peyote teleports in other teleports, thanks to Gforce for providing them to me.
-fixed issue with time setting forward/backward and not taking hours into account.
-when enabling cargod mode and disabling tyres can't burst, it wasn't possible to enable bullet proof tyres in Vehicle mod menu, this has been "fixed", 
when car god mode is enabled together with tyres can't burst, it remains impossible to disable bullet proof tyres in vehicle mod menu. This is by design.
-changed blip color for attacking and combat ped to unfriedly.
-weapon tints and attachments can now be used with bodyguards/peds, both before spawn and after using the ped task menu.
-Gravity gun makes a return, works on peds, cars and objects, just aim at the desired ped, car or object, aim again to attach, move and shoot or drop.
force settings can be set in game and are saved with save settings.
-airbreak forward and up speed are now configurable in game and added to save settings.
-fixed walking styles, most should now work.
-reviewed controller support, you can now enable or disable controller support via options menu (second page). 
If enabled more game controls are being disabled whilst the menu is displayed or whilst airbreak or hydraulics is enabled, if disabled these controls are not 
disabled and keybindings for controller are automatically unbinded. This settings supports the save settings function, so no need to do anything in the ini 
for controller settings. In addition I changed the dpad right/left scrolling for controller and added controller support for airbreak,hydraulics and Gravity Gun.
-added spawn weapon by model name.
-Parachute settings menu off Weapons menu, allows you to equip the primary and secondary parachute, allows you to set the tints for both 
allows you to set the parachute smoke color and includes unlimited parachutes. Those settings are saved when save settings option is used.
-added LSI Los Santos Tourist Info Wildlife Photography thanks to choc4444 for providing them to me.
-added Knife Flights again thanks to choc4444 for providing those.
-reorganized the other teleports menu, pickup teleports have now moved to new Pickups menu.
-added keybinds for save teleport (F10+0 / F10+9 for first 10 slots). 
-added "world conditions" keybinds, time settings and health and armor and give all weapons (Ralt+num0/num9).
-added "other" Keybinds, see readme for list.

Changes from 1.3:
-Ability to display ingame messages above minimap (disabled by default), also the ability to set message duration (in seconds)
message options moved to separate submenu off options menu page 2. This stuff will be saved when save settings is used.
-Player wet and player dry
-Added quite a few interiors in the interiors teleport off other teleports menu.
-Voices return, unfortunately they don't work quite the same way as in IV. First of all there are only a relatively small number of speeches,
also changing voice for player is not working and for peds this is only supported for the ambient ped models (so no player model).
In any case, for player you can play a select number of speeches, whilst for bodyguard /peds you can also change the voice (providing it's a normal model).
-Vehicle Texture corrosion (for lack of a better description), on select vehicles, such as the Canis Bhodi, you can set the Texture corrosion. Thanks to arewenotmen for finding natives. This will also taken into account when saving and loading vehicles.
-added move_m@multiplayer to walking styles.
-some cutscenes don't play which causes the trainer to stall. I have added a 10 second wait, if after 10 seconds the cutscene doens't start the trainer will give up waiting and will return normally.
-added Add Waypoint to Mission Marker, press Pagedown (or use option in mission menu) and a waypoint will be placed on the mission marker.
-added the 60 predefined teleport slots to locations off other teleport menu, so you can just overwrite them without loosing them.
-controller support for vehicle rockets (B) 
-change open menu for controllers to just X, menu cancel is just RB.
-added Bailbonds to pickup teleports (thanks to choc4444  for providing those).
-fixed vehicle god mode not being disabled in the last car the player used.
-added additional keybinds, RCTRL+0 for lock car and various stuff using I+num keys.

Changes from 1.4:
-Opening and closing the menu with controller back to RB+X as otherwise space opens menu and E closes menu. It should however now work better.
-Removed controller support for vehicle rockets, as people complained pressing B fires them...
-Attacking cars will now be removed after some time (by the game).
-Fixed an issue with time functions and real time duration being enabled.

Changes from 1.5
-Voices now work on player character as well, thanks to jedijosh920 for finding the native that allows this
-fixed an issue with RB+X not always correctly opening up the menu depending on how you closed it.
-added raise/lower roof for convertible cars in doors menu, this is also saved when save vehicle is used.
-key for airbreak changed F6 is used as switch key to Franklin, new key is G+6.
-fixed parachute tints not being applied on game start
-key for Vehicle god mode G+9
-when using custom color menu (the RGB colors) the pearl colors remained, now you can optionally remove those). Also the custom color menu will work for the saved car.
-keybind for saved vehicle (K+Num 1) , delete Saved Vehicle (K+Num 0) and teleport to Saved Vehicle (K+Num 2).
-Keybind for cycle through passenger seats (K+ Num 3).
-keybind for Enable/disable Gravity gun (K + Num 4) and blow up Cop Cars (K + Num 5) and Teleport bodygards to player (K+ num 6).
-added the missing Knife Flights, again thanks to choc4444 for providing those.
-changed freeze time so that time does advance whilst saving and watching tv works again. I will hear when someone doesn't want this and I will make it optional.
-fixed an issue with real time duration not advancing the hours. 
-some of the paperscrap teleports have been corrected, thanks to flavaone.
-added Vinewood Souvenirs Teleports in pickup teleport menu thanks to choc4444.
-object stuff slowly returns, ability to select from the last spawned 500 objects, move them, clone them, make them visible/invisble and dynamic/static.
in addition the save and load to objects.ini returns, it will save the last 250 objects to objects.ini so that they can be loaded on demand. 
-preview object is available when in objects 1 - objects 6, Holding X will preview the selected object.
-object move speed and rotation speed are saved when save settings is used, this can be set in the object move screen.
-lower vehicle makes a return as well, including the ability to set the force that is applied (which is also saved when save settings is used).
-added Bahama Mama's West and Dr Friedlander Office to other teleports, interiors, thanks to TaazR for providing the missing native. 
-leave engine running now takes the light state into consideration.

Ini Changes:

Defaults (these are automatically added when save all settings is run)
ObjectMoveSpeed=0.5	//Object Move Speed
ObjRotationSpeed=0.5	//Object Rotation Speed
LowerCar=0		//LowerCar
LowerCarForce=-0.02	//Lower Car Force

Keybindings (copy those to your existing trainerv.ini)
SavedVehicleKey1=75	//Delete Saved Vehicle Default K
DSavedVehicleKey2=96	//Delete Saved Vehicle Default Num 0
SavedVehicleKey1=75	//Saved Vehicle Default K
SavedVehicleKey2=97	//Saved Vehicle Default Num 1
TSavedVehicleKey1=75	//Teleport to Saved Vehicle Default K
TSavedVehicleKey2=98	//Teleport to Saved Vehicle Default Num 2
CyclePassengerKey1=75	//Cycle through Passenger Seats Default K
CyclePassengerKey2=99	//Cycle through Passenger Seats Default Num 3
GravityGunKey1=75	//Enable Gravity Gun Default K
GravityGunKey2=100	//Enable Gravity Gun Default Num 4
ExplodeCopCarKey1=75	//Explode Cop Car Default K
ExplodeCopCarKey2=101	//Explode Cop Car Default Num 5
BGteleportKey1=75	//Teleport Bodygaurds Default K
BGteleportKey2=102	//Teleport Bodygaurds Default Num6

Changes from 1.6
-added 6 vehicles, two weapons, 6 horns from the Ill Gotten Gains Update Part II
-fixed issue with object loading and collision
-keybinds for Spawn Random bodygard and player ragdoll
-added Night Vision and Thermal Vision on weapons menu
-people reported crashes in model spawning, now I cannot reproduce the issue on my game, but have added two lines of code that hopefully solve this issue.

Ini Changes:

Keybindings (copy those to your existing trainerv.ini)
SpawnRBodyKey1=75	//Spawn Random Bodyguard Default K
SpawnRBodyKey2=103	//Spawn Random Bodyguard Default Num7
RagdollKey1=75		//Ragdoll Default K
RagdollKey2=104		//Ragdoll Default Num 8

Changes from 1.7
-added Engine Power Multiplier and Engine Torque Multiplier, values can be set in game and are saved with save all settings.
-Egine Power Multiplier up and down keys (J+Num1 for down, J+num2 for up) and Egine Torque Multiplier up and down keys (J+num 3 for down, J+num4 for up).
-reworked object list, now there are around 4900 objects which should all spawn, thanks to arewenotmen for supplying 150 additional objects obtained from scripts.
-fixed issue with object loading and object cloning.
-added 10 object load/save slots for saving the last spawned object.
-changed the player ragdoll keybind (K + Num 8) to get out of the ragdoll when player is in ragdoll, so press K+num8 for ragdoll and K+num8 again to end ragdoll.
-keybind to toggle between Nightvision, Thermal Vision and normal Vision (K+Num9).
-when giving ped a combat task, I would equip mini SMG automatically, this has now been removed. 
-ability to select bodyguard/ped driveby weapon, both before spawn (select drive-by weapon) and after spawn (ped task menu). the before spawn settings are saved when using save all setttings.
-added slow motion whilst aiming in weapons menu, ability to enable and set the time scale, the settings are saved when save all settings is used.
-added slow motion whilst driving works like the previous option, but now whilst driving, doesn't work for Franklin (he has his own special ability). Use caps lock or whatever you have set for special ability key.
-Keys for the two slow motions: J+num5 and J+num6.
-corrected fly under bridges teleports thanks to doppelblind.
-added alternative vehicle spawn menu "Vehicles sorted by Model Name".
-keybind for last played animation (J+Num0).

Ini Changes:
Keybindings (copy those to your existing trainerv.ini)
NightVisionKey1=75	//Night Vision Default K
NightVisionKey2=105	//Night Vision Default Num 9
AnimationKey1=74	//Last Played Animation Default J
AnimationKey2=96	//Last Played Animation Default Num 0
EPMKey1=74		//EPM Down Default J
EPMKey2=97		//EPM Down Default Num 1
EPMKey3=74		//EPM Up Default J
EPMKey4=98		//EPM Up Default Num 2
ETMKey1=74		//ETM Down Default J
ETMKey2=99		//ETM Down Default Num 3
ETMKey3=74		//ETM Up Default J
ETMKey4=100		//ETM Up Default Num 4
AimTimeKey1=74		//Aim Time Default J
AimTimeKey2=101		//Aim Time Default Num 5
DriveTimeKey1=74	//Drive Time Default J
DriveTimeKey2=102	//Drive Time Default Num 6

Changes from 1.8
-fixed issue with move object and rotation.
-ability to save and load to  objects-objects4.ini, separate submenu off objects menu.
-clone last spawned object RCTRL+C.
-hazard lights key J+num7

Ini Changes:
Keybindings (copy those to your existing trainerv.ini)
CloneObjectKey1=163	//Clone Object Default RCTRL
CloneObjectKey2=67	//Clone Object Default C
HazardKey1=74		//Hazard Lights Default J
HazardKey2=103		//Hazard Lights Default Num 7

Changes from 1.9
-fixed issue with dynamic objects not being saved correctly
-added ability to save ini file with specific name, (Save last 250 Spawned Object to custom ini) this allows you to name your ini something other than objects-objects4.ini.
-added ability to search for ini files in V's main Directory, this allows you to list all ini files in V's directory (except trainerv.ini) and load the one you want. 
-atttached objects return, you can attach objects to the Vehicle you are in, the Saved Vehicle, the player and the last or specific Bodyguard Ped.
-You can of course move attached objects and detach them
-Ability to save attached objects to Vehicle, Player or Bodyguard/Ped
-Added Camera that follows the object in object move screen, press F10 to enable. I don't know how usefull this will be, but it is there. You can use mouse to rotate the camera.
Works also when you press RCTRL+C to clone object in move screen, it will then follow the cloned object if the camera was enabled. Press F10 again to return to normal camera. 
-Added 4 additional Vehicle Color Load/Save slots
-Added "by the book house" to other teleports, interiors.
-Added teleport to Aircraft Carrier and Heist Yaht, for this a separate mod is needed. (http://gtaforums.com/topic/810029-heist-map-updates-in-single-player/page-3#entry1067794362 )

Changes from 2.0
-added the 5 highlife apartments, the lobbies and the police station for which a separate mod is needed (http://gtaforums.com/topic/810029-heist-map-updates-in-single-player/page-3#entry1067794362 )
in other teleports, Heist /High Life interiors, this is also where the Aircraft Carrier and Heist Yaht can be found.
-added three missing high level apartments in other teleports, interiors.
-ability to set player Health, from 100 to 7000, be sure to disable special god mode for this to work.

Changes from 2.1
-Thanks to Flavaone, quite a few teleports have been added or corrected. 
-Many interios have been added, thanks to Taazr for his video, which I used to add those.
-Blackout in options menu 2.
-Weapon Damage modifier, enable and set the modifier, saved when using save all settings, both weapon and melee modifiers are enabled, this allows for one hit kills.
-Ability to set Tattoos for Player Models and MP-freemode Male and Female models. Both for the player and for bodyguards/peds, also ability to save using the save clothes slot. Be aware that I cannot detect tattoos, 
so only the tattoos set by trainer will be saved and loaded. For Bodyguards, you can only save the one you last used when visiting the tattoo menu.
-Ability to set the color for Clock, Speedo, Coords, Player Health and Vehicle Health display. (options menu second page).
-Fixed the issue where after spawning two combat peds all peds fight each other.
-The above issue can be re-created and reset by using the Relationship menu (options menu page 2) which returns from IV trainer, you can set relationships between two groups and reset them. 
First Select the two groups and then select relationships and press Num 5 on relationships.
-Changed everyone ignore, hopefully works better now, otherwise try and use the relationship menu. 
-Ability to set pearls from all 160 colors instead of only 85.
-Another feature returns: Added Vehicles, ability to set model name, display name in added cars sections of trainerv.ini, each slot needs to be enabled in ini.
-Some mods with keybinds to single keys would prevent you from using those keys into functions where text input is needed, such as spawn by model name, I have changed those functions 
and it should now be possible to use these keys whilst those mods are running.
-Keybinds, J+ num 8 for increase and J+ num 9 for decrease wanted level, S+ num 1 to equip a silencer on the fly.
-new task for peds: Follow.
-Attached Vehicles Menu (Object Menu, Attached Objects menu) which allows to attach a vehicle to another vehicle and move it in position. You can select amongst the last 5 spawned vehicles, providing they still exist.
-ability to specify a subfolder in V's main folder to search for ini files for object spawning, this ensures ini files in V's main directory are not included, 
you need to specify the folder in defaults section of trainerv.ini, for instance if you want to use the folder Map Mods, you would do the following: ObjectIniFolder=Map Mods,
this will make the trainer search for ini files only in main V folder\map mods, and will therefore not search in the main V folder for ini files. You of course need to move the objects ini files to the same folder.
if you don't set the value, it will continue to search for ini files in the main V folder and all subdirectories of the main V folder.
-Ability to switch between the normal SP map and the DLC2 MP map, this enables the Heist Yacht and Carrier to be loaded without any additional mods required,
this will also enable the updated High end Apartments, some lobbies, the police station and the High Life Apartments. You can switch back and forth on the fly
but be aware switching will take some time, game appears to be frozen, but it's just loading/unloading in the background. Credits to Guadmaz for finding the natives that allow for this.
this function can be saved at game start, just enable MP map, use save all settings and the next time you will start with the MP map, it will also auto load the Yacht and the Carrier.
Be aware that we found some downgrades to the safe houses and that playing with the MP map enabled might not be compatible with some story line missions, you have been warned.
-Alexander Blade has fixed the object limit (250) and will release a new version of his hook in the near future. I have therefore increased the number of objects I track
to 2048 (which is the absolute limit). Also 500 objects will now be saved to ini file instead of 250 previously. I was able to spawn as many as 1855 objects in game, but this number might
be lower in different areas of the map. The trainer will no longer crash when you have exceeded the limit. 
For this to work, you need to wait for Alexander Blade to release the newest scripthook, which should be soon.

Ini changes:

Keybinds:

WantedUKey1=74		//Wanted Level Up Default J
WantedUKey2=104		//Wanted Level Up Default Num 8
WantedDKey1=74		//Wanted Level Up Default J
WantedDKey2=105		//Wanted Level Up Default Num 9
SilencerKey1=83		//Add Silencer Default S
SilencerKey2=97		//Add Silencer Default Num 1

Defaults:

ObjectIniFolder=
WeaponDamage=0		//Weapon Damage Multiplier Enabled
WeaponPowerMult=1.0	//Weapon Damage Multiplier
MpMap=0			//MP Map Enabled
ClockColor1=255		//Color for Clock text, RGB system Red Component Default 255
ClockColor2=255		//Color for Clock text, RGB system Green Component Default 255
ClockColor3=255		//Color for Clock text, RGB system Blue Component Default 255
ClockC=25	  	//Used Internally by trainer
SpeedoColor1=255	//Color for Speedo text, RGB system Red Component Default 255                            
SpeedoColor2=255	//Color for Speedo text, RGB system Green Component Default 255                            
SpeedoColor3=255	//Color for Speedo text, RGB system Blue Component Default 255                            
SpeedoC=25	        //Used Internally by trainer
CoordsColor1=255	//Color for Coords text, RGB system Red Component Default 255
CoordsColor2=255	//Color for Coords text , RGB system Green Component Default 255
CoordsColor3=255	//Color for Coords text, RGB system Blue Component Default 255
CoordsC=25		//Used Internally by trainer
HealthCColor1=255	//Color for Vehicle Health text, RGB system Red Component Default 255
HealthCColor2=255	//Color for Vehicle Health text , RGB system Green Component Default 255
HealthCColor3=255	//Color for Vehicle Health text, RGB system Blue Component Default 255
HealthCC=25		//Used Internally by trainer
HealthColor1=255	//Color for Player Health text, RGB system Red Component Default 255
HealthColor2=255	//Color for Player Health text , RGB system Green Component Default 255
HealthColor3=255	//Color for Player Health text, RGB system Blue Component Default 255
HealthC=25		//Used Internally by trainer

And the entire Added Cars Section, search for //added cars and copy the entire section to your trainer.ini.

Changes from 2.2
-No Helmet, options second page
-No Police Helicopters, options second page
-Kill all Nearby peds, options second page (just because we can)
-Explode all Nearby Vehicles, options second page (couldn't resist)
-Everyone Ignore now works correctly
-Get Damaged object ID (damage an object and run the option from object menu) this will give you the hash and the name (providing the trainer has the name stored). It will also show up in the spawn by model name screen.
-Object View, in objects menu, this is code from Alexander blade, slightly modified. It will display the object hash of objects around you,
be aware that due to the many text entries, this might interfere with the menu, for specific targettted objects use the get damaged object ID function.
-ability to load map mods (ini files) on startup, create the folder autoload inside V's main directory and just place the ones you want to start in this folder.
-added Snow in SP, using code from GTAMultiplayer Team, in Weather Menu.

ini changes:

Defaults:

NoHelicopters=0		//No Police Helicopters
EnableSnow=0		//Enable Snow
NoHelmet=0		//No Helmet

Changes from 2.3
-ability to play animation for all spawned Bodyguards/Peds.
-unload North Yankton (teleport menu).
-snow will work again on latest patch.
-updated the global that prevents "recording UI" when using controller.

Changes from 2.4
-added reveal map using code from GTAMultiplayer Team in options menu page 2.
-fixed issue with snow not enabling at startup.
-additional added car menu (40 additional added cars) you can switch between added car menu 1 and 2 using num 4 and num 6.
-added compatibility with both the Lowrider and Halloween DLC's. 
-10 new cars, 5 new peds and 3 new weapons (including attachements).
-added Benny's Garage on other teleports heist (MP map should be enabled).
-Benny's Vehicle Mod menu will come in a later update (next few  days, not fully researched yet).

ini changes: 

Defaults:
RevealMap=0		//Reveal Map

Added cars:
Added cars 41 - 80

Changes from 2.5
-Benny's Vehicle Mod menu is ready, this menu will handle the new modifications for the new cars, 
the existing upgrades (also for those new cars) will still be in the Vehicle Mod Menu.
-Benny's original wheels added (in Vehicle mod menu, also applicable to existing cars).
-Support for the new modifications when using save car.
-two additional Vehicle Load/Save menu pages, bringing the total number of slots to 60, cycle between menus using num4 and num6.

No Ini Changes

Changes from 2.6
-added Trim Design colors and Dashboard colors to Benny's Vehicle Mod Menu (works only for the new cars).
-added Weapon Finishes for 5 existing weapons (weapon components menu).
-added Voices for new peds.
-added the machine pistol at bodyguards driveby weapons.
-forgot to include the new vehicles into the bodyguard vehicle selection and into the spawn random vehicle functions, fixed.

No Ini Changes

Changes from 2.7
-Bugfixes only

Changes from 2.8
-added 26 vehicles
-added 2 peds and 2 voices
-added 2 weapons and 4 attachments
-added 8 teleports to the "Stilt Apartments"
-added missing weapons attachments for bodyguards driveby weapon

No ini Changes

Changes from 2.9
-added third added vehicles menu, now 120 added vehicles are possible
-added fourth Vehicle Load/Save menu, now 80 vehicles can be loaded or saved.
-added the 3 penthouse suites in teleports,other teleports, Custom Suites (MP maps needed) with the ability to change appearance of the interior.
-added 2 stilt apartments in teleports,other teleports, heist/high life interiors (MP maps needed). That means all 10 are now in.
-fixed issue with horns, removed duplicates and they should now all be named properly.
-fixed issue with unlimited ammo not working on newer DLC weapons.
-Prevent recording UI global updated.
-Snow returns, credits go to Yu for finding the memory pattern.
-Added Yachts in teleports, other teleports Yachts (MP maps needed). You can spawn a total of 36 yachts, you can
select location, type, lights and the type of rails. Thanks to guadmaz, who provided his source code, which is partially used in this trainer to provide the yachts.

ini changes: 

Added Cars:
Added 40 additional added vehcile definition

Changes from 3.0
-For Snow, Deep Vehicle and Deep Ped Tracks are now enabled, furthermore four new settings have been added to the ini (enabled by default)
Vehicle Tracks, Vehicle Track Depth, Ped Tracks and Ped Tracks Depth. Please be aware that for snow to actually work
frame scaling mode should be set to off in advanced graphic settings of the game.
-For people that use single key keybindings, I have put in a check so that those won't work if you use the internet browser.
-Support for loading ini file from \asi directory if you use that to load trainer.
-Fixed some issues related to loading a save.
-Added fourth and fifth added vehicle menu, total is now 200.
-Added fifth and sixth vehicle load/save menu, total is now 120.
-Added Second and Third Clothes Load/Save Menu both for Player and Bodyguards/Peds, total 60 slots for both.
-Added ability to enter animdict+animname using keyboard in animation menu (both Player+bodyguard/Ped), 
first you enter the animdict (the left part) and then the actual anim name (the right part) separated by a comma.
-Added second and third animation load/save menu (both Player and bodyguard/ped) this brings the total to 60 save slots.

ini changes:

Defaults:
VehicleTracks=1		//Enable  Vehicle Tracks for Snow
VehicleTrackDepth=1	//Enable Deep Vehicle Tracks for Snow
PedTracks=1		//Enable Ped Tracks for Snow
PedTrackDepth=1		//Enable Deep Ped Tracks for Snow

added cars:
80 definitions. (121-200)

Changes from 3.1
-Set model by name in Select model menu, for bodyguards/peds.
-Thanks to Taazr, we can now delete the exteriors of the Apartment Buildings and Stilt Houses for a better view, MP maps should be enabled.
-Again Thanks to Taazr, the missing props when MP maps are enabled is fixed. This will work at game start and when you load a save, but
may not work whilst progressing on missions. All that is needed in this case is disable and then enable MP maps and the props will be back.
-Added MP Customization menu in clothes menu. This allows customization of the 2 MP characters, several features, shape features and color and opacity things.
The trainer can detect the Head Shape and color data, it can detect the several head features, but not their color or opacity. However once set by trainer,
all of these options can be saved or loaded using the existing clothes save/load slots.
-Added T-shirt overlays, Hair and some missing Tattoos in the Tattoos, Hair and T-shirt Overlays Menu (previously called Tattoos Menu).
-Added cutscenes from DLC into the mission menu, cutscenes option.

No ini changes

Changes from 3.2
-Added the three new Vehicles.
-Added three new categories in Benny's mod menu (with load/save support of course).
-Fixed issue with some MP apartments views (thanks to Taazr).
-Snow has been fixed to work on the latest patch, thanks to Alexander Blade for taking the trouble to find the memory offsets.

No ini changes

Changes from 3.3
-reverted back to hard coded mod categories in Vehicle mod menu, apparently some people had missing text.

No ini changes